source: trunk/yao/share/antlr-2.7.7/config.status @ 1

Last change on this file since 1 was 1, checked in by lnalod, 15 years ago

Initial import of YAO sources

File size: 46.1 KB
Line 
1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71         X"$0" : 'X\(//\)$' \| \
72         X"$0" : 'X\(/\)$' \| \
73         .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76          /^X\/\(\/\/\)$/{ s//\1/; q; }
77          /^X\/\(\/\).*/{ s//\1/; q; }
78          s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140         case $as_dir in
141         /*)
142           if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148             $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149             $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150             CONFIG_SHELL=$as_dir/$as_base
151             export CONFIG_SHELL
152             exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153           fi;;
154         esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='      ' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS="   $as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by antlr $as_me 2.7.7, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" scripts/config.vars scripts/config.deps scripts/config.make antlr/Version.java scripts/python.sh scripts/pyantlr.sh:scripts/pyinst.sh.in lib/python/Makefile examples/python/Makefile examples/python/asn1/Makefile examples/python/ASTsupport/Makefile examples/python/calc/Makefile examples/python/columns/Makefile examples/python/exprAST/Makefile examples/python/filter/Makefile examples/python/filterWithRule/Makefile examples/python/heteroAST/Makefile examples/python/HTML/Makefile examples/python/IDL/Makefile examples/python/imagNodeAST/Makefile examples/python/includeFile/Makefile examples/python/inherit.tinyc/Makefile examples/python/java/Makefile examples/python/lexerTester/Makefile examples/python/lexRewrite/Makefile examples/python/linkChecker/Makefile examples/python/multiLexer/Makefile examples/python/multiParser/Makefile examples/python/parseBinary/Makefile examples/python/pascal/Makefile examples/python/cpp/Makefile examples/python/preserveWhiteSpace/Makefile examples/python/tinybasic/Makefile examples/python/tinyc/Makefile examples/python/transform/Makefile examples/python/treewalk/Makefile examples/python/unicode/Makefile examples/python/unicode.IDENTs/Makefile examples/python/xml/Makefile scripts/csc.sh lib/csharp/Makefile lib/csharp/antlr.runtime/Makefile lib/csharp/antlr.astframe/Makefile examples/csharp/ASTsupport/Makefile examples/csharp/HTML/Makefile examples/csharp/IDL/Makefile examples/csharp/ParseTreeDebug/Makefile examples/csharp/TokenStreamRewrite/Makefile examples/csharp/calc/Makefile examples/csharp/columns/Makefile examples/csharp/exprAST/Makefile examples/csharp/filter/Makefile examples/csharp/filterWithRule/Makefile examples/csharp/heteroAST/Makefile examples/csharp/java/Makefile examples/csharp/multiLexer/Makefile examples/csharp/parseBinary/Makefile examples/csharp/preserveWhiteSpace/Makefile examples/csharp/tinyc/Makefile examples/csharp/unicode/Makefile examples/csharp/Makefile scripts/java.sh scripts/jar.sh scripts/javac.sh scripts/antlr.sh scripts/cxx.sh scripts/link.sh scripts/c.sh scripts/lib.sh scripts/cpp.sh lib/cpp/Makefile lib/cpp/antlr/Makefile lib/cpp/src/Makefile examples/cpp/Makefile examples/cpp/ASTsupport/Makefile examples/cpp/calc/Makefile examples/cpp/exprAST/Makefile examples/cpp/filter/Makefile examples/cpp/filterWithRule/Makefile examples/cpp/flexLexer/Makefile examples/cpp/HTML/Makefile examples/cpp/heteroAST/Makefile examples/cpp/IDL/Makefile examples/cpp/imagNodeAST/Makefile examples/cpp/includeFile/Makefile examples/cpp/inherit.tinyc/Makefile examples/cpp/java/Makefile examples/cpp/lexRewrite/Makefile examples/cpp/multiLexer/Makefile examples/cpp/multiParser/Makefile examples/cpp/parseBinary/Makefile examples/cpp/preserveWhiteSpace/Makefile examples/cpp/tinyc/Makefile examples/cpp/tokenStreamRewrite/Makefile examples/cpp/transform/Makefile examples/cpp/treewalk/Makefile examples/cpp/unicode/Makefile lib/Makefile examples/Makefile doc/Makefile Makefile scripts/antlr-config scripts/run-antlr scripts/antlr.spec antlr/Makefile examples/java/ASTsupport/Makefile examples/java/HTML/Makefile examples/java/IDL/Makefile examples/java/calc/Makefile examples/java/columns/Makefile examples/java/exprAST/Makefile examples/java/filter/Makefile examples/java/filterWithRule/Makefile examples/java/heteroAST/Makefile examples/java/imagNodeAST/Makefile examples/java/includeFile/Makefile examples/java/inherit.tinyc/Makefile examples/java/java/Makefile examples/java/lexRewrite/Makefile examples/java/linkChecker/Makefile examples/java/multiLexer/Makefile examples/java/parseBinary/Makefile examples/java/pascal/Makefile examples/java/preserveWhiteSpace/Makefile examples/java/tinybasic/Makefile examples/java/tinyc/Makefile examples/java/transform/Makefile examples/java/treewalk/Makefile examples/java/unicode.IDENTs/Makefile examples/java/unicode/Makefile examples/java/xml/Makefile examples/java/Makefile examples/java/cpp/Makefile "
275
276ac_cs_usage="\
277\`$as_me' instantiates files from templates according to the
278current configuration.
279
280Usage: $0 [OPTIONS] [FILE]...
281
282  -h, --help       print this help, then exit
283  -V, --version    print version number, then exit
284  -q, --quiet      do not print progress messages
285  -d, --debug      don't remove temporary files
286      --recheck    update $as_me by reconfiguring in the same conditions
287  --file=FILE[:TEMPLATE]
288                   instantiate the configuration file FILE
289
290Configuration files:
291$config_files
292
293Configuration commands:
294$config_commands
295
296Report bugs to <bug-autoconf@gnu.org>."
297ac_cs_version="\
298antlr config.status 2.7.7
299configured by ./configure, generated by GNU Autoconf 2.59,
300  with options \"\"
301
302Copyright (C) 2003 Free Software Foundation, Inc.
303This config.status script is free software; the Free Software Foundation
304gives unlimited permission to copy, distribute and modify it."
305srcdir=.
306INSTALL="/usr/bin/install -c"
307# If no file are specified by the user, then we need to provide default
308# value.  By we need to know if files were specified by the user.
309ac_need_defaults=:
310while test $# != 0
311do
312  case $1 in
313  --*=*)
314    ac_option=`expr "x$1" : 'x\([^=]*\)='`
315    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
316    ac_shift=:
317    ;;
318  -*)
319    ac_option=$1
320    ac_optarg=$2
321    ac_shift=shift
322    ;;
323  *) # This is not an option, so the user has probably given explicit
324     # arguments.
325     ac_option=$1
326     ac_need_defaults=false;;
327  esac
328
329  case $ac_option in
330  # Handling of the options.
331  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
332    ac_cs_recheck=: ;;
333  --version | --vers* | -V )
334    echo "$ac_cs_version"; exit 0 ;;
335  --he | --h)
336    # Conflict between --help and --header
337    { { echo "$as_me:$LINENO: error: ambiguous option: $1
338Try \`$0 --help' for more information." >&5
339echo "$as_me: error: ambiguous option: $1
340Try \`$0 --help' for more information." >&2;}
341   { (exit 1); exit 1; }; };;
342  --help | --hel | -h )
343    echo "$ac_cs_usage"; exit 0 ;;
344  --debug | --d* | -d )
345    debug=: ;;
346  --file | --fil | --fi | --f )
347    $ac_shift
348    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
349    ac_need_defaults=false;;
350  --header | --heade | --head | --hea )
351    $ac_shift
352    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
353    ac_need_defaults=false;;
354  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
355  | -silent | --silent | --silen | --sile | --sil | --si | --s)
356    ac_cs_silent=: ;;
357
358  # This is an error.
359  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
360Try \`$0 --help' for more information." >&5
361echo "$as_me: error: unrecognized option: $1
362Try \`$0 --help' for more information." >&2;}
363   { (exit 1); exit 1; }; } ;;
364
365  *) ac_config_targets="$ac_config_targets $1" ;;
366
367  esac
368  shift
369done
370
371ac_configure_extra_args=
372
373if $ac_cs_silent; then
374  exec 6>/dev/null
375  ac_configure_extra_args="$ac_configure_extra_args --silent"
376fi
377
378if $ac_cs_recheck; then
379  echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
380  exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
381fi
382
383#
384# INIT-COMMANDS section.
385#
386
387
388        MAKE="/usr/bin/make"
389
390
391CHMOD=/bin/chmod
392
393CHMOD=/bin/chmod
394
395CHMOD=/bin/chmod
396
397
398          ANTLR_CONFIG_FILES='*'
399          ANTLR_FILE_LIST=""
400          CHMOD="/bin/chmod"
401
402
403
404for ac_config_target in $ac_config_targets
405do
406  case "$ac_config_target" in
407  # Handling of arguments.
408  "scripts/config.vars" ) CONFIG_FILES="$CONFIG_FILES scripts/config.vars" ;;
409  "scripts/config.deps" ) CONFIG_FILES="$CONFIG_FILES scripts/config.deps" ;;
410  "scripts/config.make" ) CONFIG_FILES="$CONFIG_FILES scripts/config.make" ;;
411  "antlr/Version.java" ) CONFIG_FILES="$CONFIG_FILES antlr/Version.java" ;;
412  "scripts/python.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/python.sh" ;;
413  "scripts/pyantlr.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/pyantlr.sh:scripts/pyinst.sh.in" ;;
414  "lib/python/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/python/Makefile" ;;
415  "examples/python/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/Makefile" ;;
416  "examples/python/asn1/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/asn1/Makefile" ;;
417  "examples/python/ASTsupport/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/ASTsupport/Makefile" ;;
418  "examples/python/calc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/calc/Makefile" ;;
419  "examples/python/columns/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/columns/Makefile" ;;
420  "examples/python/exprAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/exprAST/Makefile" ;;
421  "examples/python/filter/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/filter/Makefile" ;;
422  "examples/python/filterWithRule/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/filterWithRule/Makefile" ;;
423  "examples/python/heteroAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/heteroAST/Makefile" ;;
424  "examples/python/HTML/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/HTML/Makefile" ;;
425  "examples/python/IDL/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/IDL/Makefile" ;;
426  "examples/python/imagNodeAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/imagNodeAST/Makefile" ;;
427  "examples/python/includeFile/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/includeFile/Makefile" ;;
428  "examples/python/inherit.tinyc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/inherit.tinyc/Makefile" ;;
429  "examples/python/java/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/java/Makefile" ;;
430  "examples/python/lexerTester/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/lexerTester/Makefile" ;;
431  "examples/python/lexRewrite/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/lexRewrite/Makefile" ;;
432  "examples/python/linkChecker/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/linkChecker/Makefile" ;;
433  "examples/python/multiLexer/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/multiLexer/Makefile" ;;
434  "examples/python/multiParser/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/multiParser/Makefile" ;;
435  "examples/python/parseBinary/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/parseBinary/Makefile" ;;
436  "examples/python/pascal/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/pascal/Makefile" ;;
437  "examples/python/cpp/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/cpp/Makefile" ;;
438  "examples/python/preserveWhiteSpace/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/preserveWhiteSpace/Makefile" ;;
439  "examples/python/tinybasic/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/tinybasic/Makefile" ;;
440  "examples/python/tinyc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/tinyc/Makefile" ;;
441  "examples/python/transform/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/transform/Makefile" ;;
442  "examples/python/treewalk/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/treewalk/Makefile" ;;
443  "examples/python/unicode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/unicode/Makefile" ;;
444  "examples/python/unicode.IDENTs/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/unicode.IDENTs/Makefile" ;;
445  "examples/python/xml/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/python/xml/Makefile" ;;
446  "scripts/csc.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/csc.sh" ;;
447  "lib/csharp/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/csharp/Makefile" ;;
448  "lib/csharp/antlr.runtime/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/csharp/antlr.runtime/Makefile" ;;
449  "lib/csharp/antlr.astframe/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/csharp/antlr.astframe/Makefile" ;;
450  "examples/csharp/ASTsupport/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/ASTsupport/Makefile" ;;
451  "examples/csharp/HTML/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/HTML/Makefile" ;;
452  "examples/csharp/IDL/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/IDL/Makefile" ;;
453  "examples/csharp/ParseTreeDebug/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/ParseTreeDebug/Makefile" ;;
454  "examples/csharp/TokenStreamRewrite/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/TokenStreamRewrite/Makefile" ;;
455  "examples/csharp/calc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/calc/Makefile" ;;
456  "examples/csharp/columns/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/columns/Makefile" ;;
457  "examples/csharp/exprAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/exprAST/Makefile" ;;
458  "examples/csharp/filter/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/filter/Makefile" ;;
459  "examples/csharp/filterWithRule/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/filterWithRule/Makefile" ;;
460  "examples/csharp/heteroAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/heteroAST/Makefile" ;;
461  "examples/csharp/java/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/java/Makefile" ;;
462  "examples/csharp/multiLexer/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/multiLexer/Makefile" ;;
463  "examples/csharp/parseBinary/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/parseBinary/Makefile" ;;
464  "examples/csharp/preserveWhiteSpace/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/preserveWhiteSpace/Makefile" ;;
465  "examples/csharp/tinyc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/tinyc/Makefile" ;;
466  "examples/csharp/unicode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/unicode/Makefile" ;;
467  "examples/csharp/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/csharp/Makefile" ;;
468  "scripts/java.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/java.sh" ;;
469  "scripts/jar.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/jar.sh" ;;
470  "scripts/javac.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/javac.sh" ;;
471  "scripts/antlr.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/antlr.sh" ;;
472  "scripts/cxx.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/cxx.sh" ;;
473  "scripts/link.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/link.sh" ;;
474  "scripts/c.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/c.sh" ;;
475  "scripts/lib.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/lib.sh" ;;
476  "scripts/cpp.sh" ) CONFIG_FILES="$CONFIG_FILES scripts/cpp.sh" ;;
477  "lib/cpp/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/cpp/Makefile" ;;
478  "lib/cpp/antlr/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/cpp/antlr/Makefile" ;;
479  "lib/cpp/src/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/cpp/src/Makefile" ;;
480  "examples/cpp/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/Makefile" ;;
481  "examples/cpp/ASTsupport/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/ASTsupport/Makefile" ;;
482  "examples/cpp/calc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/calc/Makefile" ;;
483  "examples/cpp/exprAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/exprAST/Makefile" ;;
484  "examples/cpp/filter/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/filter/Makefile" ;;
485  "examples/cpp/filterWithRule/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/filterWithRule/Makefile" ;;
486  "examples/cpp/flexLexer/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/flexLexer/Makefile" ;;
487  "examples/cpp/HTML/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/HTML/Makefile" ;;
488  "examples/cpp/heteroAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/heteroAST/Makefile" ;;
489  "examples/cpp/IDL/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/IDL/Makefile" ;;
490  "examples/cpp/imagNodeAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/imagNodeAST/Makefile" ;;
491  "examples/cpp/includeFile/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/includeFile/Makefile" ;;
492  "examples/cpp/inherit.tinyc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/inherit.tinyc/Makefile" ;;
493  "examples/cpp/java/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/java/Makefile" ;;
494  "examples/cpp/lexRewrite/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/lexRewrite/Makefile" ;;
495  "examples/cpp/multiLexer/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/multiLexer/Makefile" ;;
496  "examples/cpp/multiParser/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/multiParser/Makefile" ;;
497  "examples/cpp/parseBinary/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/parseBinary/Makefile" ;;
498  "examples/cpp/preserveWhiteSpace/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/preserveWhiteSpace/Makefile" ;;
499  "examples/cpp/tinyc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/tinyc/Makefile" ;;
500  "examples/cpp/tokenStreamRewrite/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/tokenStreamRewrite/Makefile" ;;
501  "examples/cpp/transform/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/transform/Makefile" ;;
502  "examples/cpp/treewalk/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/treewalk/Makefile" ;;
503  "examples/cpp/unicode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/cpp/unicode/Makefile" ;;
504  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
505  "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
506  "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
507  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
508  "scripts/antlr-config" ) CONFIG_FILES="$CONFIG_FILES scripts/antlr-config" ;;
509  "scripts/run-antlr" ) CONFIG_FILES="$CONFIG_FILES scripts/run-antlr" ;;
510  "scripts/antlr.spec" ) CONFIG_FILES="$CONFIG_FILES scripts/antlr.spec" ;;
511  "antlr/Makefile" ) CONFIG_FILES="$CONFIG_FILES antlr/Makefile" ;;
512  "examples/java/ASTsupport/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/ASTsupport/Makefile" ;;
513  "examples/java/HTML/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/HTML/Makefile" ;;
514  "examples/java/IDL/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/IDL/Makefile" ;;
515  "examples/java/calc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/calc/Makefile" ;;
516  "examples/java/columns/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/columns/Makefile" ;;
517  "examples/java/exprAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/exprAST/Makefile" ;;
518  "examples/java/filter/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/filter/Makefile" ;;
519  "examples/java/filterWithRule/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/filterWithRule/Makefile" ;;
520  "examples/java/heteroAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/heteroAST/Makefile" ;;
521  "examples/java/imagNodeAST/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/imagNodeAST/Makefile" ;;
522  "examples/java/includeFile/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/includeFile/Makefile" ;;
523  "examples/java/inherit.tinyc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/inherit.tinyc/Makefile" ;;
524  "examples/java/java/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/java/Makefile" ;;
525  "examples/java/lexRewrite/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/lexRewrite/Makefile" ;;
526  "examples/java/linkChecker/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/linkChecker/Makefile" ;;
527  "examples/java/multiLexer/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/multiLexer/Makefile" ;;
528  "examples/java/parseBinary/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/parseBinary/Makefile" ;;
529  "examples/java/pascal/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/pascal/Makefile" ;;
530  "examples/java/preserveWhiteSpace/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/preserveWhiteSpace/Makefile" ;;
531  "examples/java/tinybasic/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/tinybasic/Makefile" ;;
532  "examples/java/tinyc/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/tinyc/Makefile" ;;
533  "examples/java/transform/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/transform/Makefile" ;;
534  "examples/java/treewalk/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/treewalk/Makefile" ;;
535  "examples/java/unicode.IDENTs/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/unicode.IDENTs/Makefile" ;;
536  "examples/java/unicode/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/unicode/Makefile" ;;
537  "examples/java/xml/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/xml/Makefile" ;;
538  "examples/java/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/Makefile" ;;
539  "examples/java/cpp/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/java/cpp/Makefile" ;;
540  "${ANTLR_CONFIG_FILES}" ) CONFIG_FILES="$CONFIG_FILES ${ANTLR_CONFIG_FILES}" ;;
541  "notice" ) CONFIG_COMMANDS="$CONFIG_COMMANDS notice" ;;
542  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
543echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
544   { (exit 1); exit 1; }; };;
545  esac
546done
547
548# If the user did not use the arguments to specify the items to instantiate,
549# then the envvar interface is used.  Set only those that are not.
550# We use the long form for the default assignment because of an extremely
551# bizarre bug on SunOS 4.1.3.
552if $ac_need_defaults; then
553  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
554  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
555fi
556
557# Have a temporary directory for convenience.  Make it in the build tree
558# simply because there is no reason to put it here, and in addition,
559# creating and moving files from /tmp can sometimes cause problems.
560# Create a temporary directory, and hook for its removal unless debugging.
561$debug ||
562{
563  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
564  trap '{ (exit 1); exit 1; }' 1 2 13 15
565}
566
567# Create a (secure) tmp directory for tmp files.
568
569{
570  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
571  test -n "$tmp" && test -d "$tmp"
572}  ||
573{
574  tmp=./confstat$$-$RANDOM
575  (umask 077 && mkdir $tmp)
576} ||
577{
578   echo "$me: cannot create a temporary directory in ." >&2
579   { (exit 1); exit 1; }
580}
581
582
583#
584# CONFIG_FILES section.
585#
586
587# No need to generate the scripts if there are no CONFIG_FILES.
588# This happens for instance when ./config.status config.h
589if test -n "$CONFIG_FILES"; then
590  # Protect against being on the right side of a sed subst in config.status.
591  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
592   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
593s,@SHELL@,/bin/sh,;t t
594s,@PATH_SEPARATOR@,:,;t t
595s,@PACKAGE_NAME@,antlr,;t t
596s,@PACKAGE_TARNAME@,antlr,;t t
597s,@PACKAGE_VERSION@,2.7.7,;t t
598s,@PACKAGE_STRING@,antlr 2.7.7,;t t
599s,@PACKAGE_BUGREPORT@,,;t t
600s,@exec_prefix@,${prefix},;t t
601s,@prefix@,/usr/local,;t t
602s,@program_transform_name@,s,x,x,,;t t
603s,@bindir@,${exec_prefix}/bin,;t t
604s,@sbindir@,${exec_prefix}/sbin,;t t
605s,@libexecdir@,${exec_prefix}/libexec,;t t
606s,@datadir@,${prefix}/share,;t t
607s,@sysconfdir@,${prefix}/etc,;t t
608s,@sharedstatedir@,${prefix}/com,;t t
609s,@localstatedir@,${prefix}/var,;t t
610s,@libdir@,${exec_prefix}/lib,;t t
611s,@includedir@,${prefix}/include,;t t
612s,@oldincludedir@,/usr/include,;t t
613s,@infodir@,${prefix}/info,;t t
614s,@mandir@,${prefix}/man,;t t
615s,@build_alias@,,;t t
616s,@host_alias@,,;t t
617s,@target_alias@,,;t t
618s,@DEFS@,-DPACKAGE_NAME=\"antlr\" -DPACKAGE_TARNAME=\"antlr\" -DPACKAGE_VERSION=\"2.7.7\" -DPACKAGE_STRING=\"antlr\ 2.7.7\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_STRCASECMP=1 ,;t t
619s,@ECHO_C@,,;t t
620s,@ECHO_N@,-n,;t t
621s,@ECHO_T@,,;t t
622s,@LIBS@,,;t t
623s,@ANTLR_JAR@,/usr/neuro/local/yao/yao9/share/antlr-2.7.7/antlr/antlr.jar,;t t
624s,@ANTLR_LIB@,/usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/cpp/src/libantlr.a,;t t
625s,@ANTLR_NET@,/usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/antlr.runtime.dll,;t t
626s,@ANTLR_PY@,/usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/python/antlr/python.py,;t t
627s,@ASTFRAME_NET@,/usr/neuro/local/yao/yao9/share/antlr-2.7.7/lib/antlr.astframe.dll,;t t
628s,@antlr_jar@,antlr.jar,;t t
629s,@antlr_lib@,libantlr.a,;t t
630s,@antlr_net@,antlr.runtime.dll,;t t
631s,@antlr_py@,python.py,;t t
632s,@astframe_net@,antlr.astframe.dll,;t t
633s,@ANTLRFLAGS@,,;t t
634s,@ANTLR@,,;t t
635s,@ANTLR_ACTION_FILES@, actions/cpp/ActionLexer.java actions/cpp/ActionLexerTokenTypes.java actions/csharp/ActionLexer.java actions/csharp/ActionLexerTokenTypes.java actions/java/ActionLexer.java actions/java/ActionLexerTokenTypes.java actions/python/ActionLexer.java actions/python/ActionLexerTokenTypes.java actions/python/CodeLexer.java actions/python/CodeLexerTokenTypes.java,;t t
636s,@ANTLR_ANTLR_FILES@,   ANTLRParser.java   ANTLRTokenTypes.java   ANTLRLexer.java,;t t
637s,@ANTLR_COMPILE_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/antlr.sh,;t t
638s,@ANTLR_CYGWIN@,no,;t t
639s,@ANTLR_MINGW@,no,;t t
640s,@ANTLR_TOKDEF_FILES@, ANTLRTokdefParser.java ANTLRTokdefLexer.java ANTLRTokdefParserTokenTypes.java,;t t
641s,@ANTLR_WIN32@,,;t t
642s,@ANTLR_WITH_ANTLR_CMD@,,;t t
643s,@ANTLR_WITH_ANTLR_JAR@,,;t t
644s,@ARFLAGS@,,;t t
645s,@AR@,/usr/bin/ar,;t t
646s,@AS@,,;t t
647s,@BOOTCLASSPATH@,,;t t
648s,@CSHARPCFLAGS@,,;t t
649s,@CSHARPC@,/usr/bin/mcs,;t t
650s,@CSHARP_COMPILE_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/csc.sh,;t t
651s,@CLR@,/usr/bin/mono,;t t
652s,@CXX_COMPILE_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/cxx.sh,;t t
653s,@CXX_LIB_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/lib.sh,;t t
654s,@CXX_LINK_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/link.sh,;t t
655s,@CYGPATH@,,;t t
656s,@C_COMPILE_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/c.sh,;t t
657s,@DEBUG@,0,;t t
658s,@EXEEXT@,,;t t
659s,@JARFLAGS@,,;t t
660s,@JAR@,/usr/bin/jar,;t t
661s,@JAR_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/jar.sh,;t t
662s,@JAVACFLAGS@,,;t t
663s,@JAVAC@,/usr/bin/javac,;t t
664s,@JAVAFLAGS@,,;t t
665s,@JAVA@,/usr/bin/java,;t t
666s,@JAVA_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/java.sh,;t t
667s,@JAVA_COMPILE_CMD@,/bin/sh /usr/neuro/local/yao/yao9/share/antlr-2.7.7/scripts/javac.sh,;t t
668s,@LIBEXT@,.a,;t t
669s,@MAKE@,/usr/bin/make,;t t
670s,@OBJEXT@,.o,;t t
671s,@PATCHLEVEL@,7,;t t
672s,@PYTHONFLAGS@,,;t t
673s,@PYTHON@,/usr/bin/python,;t t
674s,@SUBVERSION@,7,;t t
675s,@TIMESTAMP@,20090825,;t t
676s,@TOUCH@,/bin/touch,;t t
677s,@VERBOSE@,0,;t t
678s,@VERSION@,2,;t t
679s,@WITH_EXAMPLES@,1,;t t
680s,@abs_this_builddir@,/usr/neuro/local/yao/yao9/share/antlr-2.7.7,;t t
681s,@cxx@,gcc,;t t
682s,@jar@,jar,;t t
683s,@java@,,;t t
684s,@javac@,javac,;t t
685s,@TAR@,/bin/tar,;t t
686s,@RMF@,/bin/rm -r -f,;t t
687s,@CP@,/bin/cp,;t t
688s,@ECHO@,/bin/echo,;t t
689s,@FIND@,/bin/find,;t t
690s,@STRONGNAME@,false,;t t
691s,@KEYFILE@,,;t t
692s,@APTC@,true,;t t
693s,@build@,x86_64-unknown-linux-gnu,;t t
694s,@build_cpu@,x86_64,;t t
695s,@build_vendor@,unknown,;t t
696s,@build_os@,linux-gnu,;t t
697s,@host@,x86_64-unknown-linux-gnu,;t t
698s,@host_cpu@,x86_64,;t t
699s,@host_vendor@,unknown,;t t
700s,@host_os@,linux-gnu,;t t
701s,@CYGPATH_M@,echo,;t t
702s,@CYGPATH_W@,echo,;t t
703s,@just_make@,/usr/bin/make,;t t
704s,@CXX@,g++,;t t
705s,@CXXFLAGS@,,;t t
706s,@LDFLAGS@,,;t t
707s,@CPPFLAGS@,,;t t
708s,@ac_ct_CXX@,g++,;t t
709s,@CC@,cc,;t t
710s,@CFLAGS@,-g -O2,;t t
711s,@ac_ct_CC@,cc,;t t
712s,@CPP@,cc -E,;t t
713s,@EGREP@,grep -E,;t t
714s,@LIBOBJS@,,;t t
715s,@DOXYGEN@,/usr/bin/doxygen,;t t
716s,@INSTALL_PROGRAM@,${INSTALL},;t t
717s,@INSTALL_SCRIPT@,${INSTALL},;t t
718s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
719s,@RANLIB@,ranlib,;t t
720s,@ac_ct_RANLIB@,ranlib,;t t
721s,@MKDIR@,/bin/mkdir,;t t
722s,@RM@,/bin/rm,;t t
723s,@CHMOD@,/bin/chmod,;t t
724s,@SED@,/bin/sed,;t t
725s,@CAT@,/bin/cat,;t t
726s,@GREP@,/bin/grep,;t t
727s,@LTLIBOBJS@,,;t t
728/@stdvars@/r scripts/config.vars
729s,@stdvars@,,;t t
730/@stddeps@/r scripts/config.deps
731s,@stddeps@,,;t t
732/@stdmake@/r scripts/config.make
733s,@stdmake@,,;t t
734CEOF
735
736  # Split the substitutions into bite-sized pieces for seds with
737  # small command number limits, like on Digital OSF/1 and HP-UX.
738  ac_max_sed_lines=48
739  ac_sed_frag=1 # Number of current file.
740  ac_beg=1 # First line for current file.
741  ac_end=$ac_max_sed_lines # Line after last line for current file.
742  ac_more_lines=:
743  ac_sed_cmds=
744  while $ac_more_lines; do
745    if test $ac_beg -gt 1; then
746      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
747    else
748      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
749    fi
750    if test ! -s $tmp/subs.frag; then
751      ac_more_lines=false
752    else
753      # The purpose of the label and of the branching condition is to
754      # speed up the sed processing (if there are no `@' at all, there
755      # is no need to browse any of the substitutions).
756      # These are the two extra sed commands mentioned above.
757      (echo ':t
758  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
759      if test -z "$ac_sed_cmds"; then
760        ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
761      else
762        ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
763      fi
764      ac_sed_frag=`expr $ac_sed_frag + 1`
765      ac_beg=$ac_end
766      ac_end=`expr $ac_end + $ac_max_sed_lines`
767    fi
768  done
769  if test -z "$ac_sed_cmds"; then
770    ac_sed_cmds=cat
771  fi
772fi # test -n "$CONFIG_FILES"
773
774for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
775  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
776  case $ac_file in
777  - | *:- | *:-:* ) # input from stdin
778        cat >$tmp/stdin
779        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
780        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
781  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
782        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
783  * )   ac_file_in=$ac_file.in ;;
784  esac
785
786  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
787  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
788$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
789         X"$ac_file" : 'X\(//\)[^/]' \| \
790         X"$ac_file" : 'X\(//\)$' \| \
791         X"$ac_file" : 'X\(/\)' \| \
792         .     : '\(.\)' 2>/dev/null ||
793echo X"$ac_file" |
794    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
795          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
796          /^X\(\/\/\)$/{ s//\1/; q; }
797          /^X\(\/\).*/{ s//\1/; q; }
798          s/.*/./; q'`
799  { if $as_mkdir_p; then
800    mkdir -p "$ac_dir"
801  else
802    as_dir="$ac_dir"
803    as_dirs=
804    while test ! -d "$as_dir"; do
805      as_dirs="$as_dir $as_dirs"
806      as_dir=`(dirname "$as_dir") 2>/dev/null ||
807$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
808         X"$as_dir" : 'X\(//\)[^/]' \| \
809         X"$as_dir" : 'X\(//\)$' \| \
810         X"$as_dir" : 'X\(/\)' \| \
811         .     : '\(.\)' 2>/dev/null ||
812echo X"$as_dir" |
813    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
814          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
815          /^X\(\/\/\)$/{ s//\1/; q; }
816          /^X\(\/\).*/{ s//\1/; q; }
817          s/.*/./; q'`
818    done
819    test ! -n "$as_dirs" || mkdir $as_dirs
820  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
821echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
822   { (exit 1); exit 1; }; }; }
823
824  ac_builddir=.
825
826if test "$ac_dir" != .; then
827  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
828  # A "../" for each directory in $ac_dir_suffix.
829  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
830else
831  ac_dir_suffix= ac_top_builddir=
832fi
833
834case $srcdir in
835  .)  # No --srcdir option.  We are building in place.
836    ac_srcdir=.
837    if test -z "$ac_top_builddir"; then
838       ac_top_srcdir=.
839    else
840       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
841    fi ;;
842  [\\/]* | ?:[\\/]* )  # Absolute path.
843    ac_srcdir=$srcdir$ac_dir_suffix;
844    ac_top_srcdir=$srcdir ;;
845  *) # Relative path.
846    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
847    ac_top_srcdir=$ac_top_builddir$srcdir ;;
848esac
849
850# Do not use `cd foo && pwd` to compute absolute paths, because
851# the directories may not exist.
852case `pwd` in
853.) ac_abs_builddir="$ac_dir";;
854*)
855  case "$ac_dir" in
856  .) ac_abs_builddir=`pwd`;;
857  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
858  *) ac_abs_builddir=`pwd`/"$ac_dir";;
859  esac;;
860esac
861case $ac_abs_builddir in
862.) ac_abs_top_builddir=${ac_top_builddir}.;;
863*)
864  case ${ac_top_builddir}. in
865  .) ac_abs_top_builddir=$ac_abs_builddir;;
866  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
867  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
868  esac;;
869esac
870case $ac_abs_builddir in
871.) ac_abs_srcdir=$ac_srcdir;;
872*)
873  case $ac_srcdir in
874  .) ac_abs_srcdir=$ac_abs_builddir;;
875  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
876  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
877  esac;;
878esac
879case $ac_abs_builddir in
880.) ac_abs_top_srcdir=$ac_top_srcdir;;
881*)
882  case $ac_top_srcdir in
883  .) ac_abs_top_srcdir=$ac_abs_builddir;;
884  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
885  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
886  esac;;
887esac
888
889
890  case $INSTALL in
891  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
892  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
893  esac
894
895  if test x"$ac_file" != x-; then
896    { echo "$as_me:$LINENO: creating $ac_file" >&5
897echo "$as_me: creating $ac_file" >&6;}
898    rm -f "$ac_file"
899  fi
900  # Let's still pretend it is `configure' which instantiates (i.e., don't
901  # use $as_me), people would be surprised to read:
902  #    /* config.h.  Generated by config.status.  */
903  if test x"$ac_file" = x-; then
904    configure_input=
905  else
906    configure_input="$ac_file.  "
907  fi
908  configure_input=$configure_input"Generated from `echo $ac_file_in |
909                                     sed 's,.*/,,'` by configure."
910
911  # First look for the input files in the build tree, otherwise in the
912  # src tree.
913  ac_file_inputs=`IFS=:
914    for f in $ac_file_in; do
915      case $f in
916      -) echo $tmp/stdin ;;
917      [\\/$]*)
918         # Absolute (can't be DOS-style, as IFS=:)
919         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
920echo "$as_me: error: cannot find input file: $f" >&2;}
921   { (exit 1); exit 1; }; }
922         echo "$f";;
923      *) # Relative
924         if test -f "$f"; then
925           # Build tree
926           echo "$f"
927         elif test -f "$srcdir/$f"; then
928           # Source tree
929           echo "$srcdir/$f"
930         else
931           # /dev/null tree
932           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
933echo "$as_me: error: cannot find input file: $f" >&2;}
934   { (exit 1); exit 1; }; }
935         fi;;
936      esac
937    done` || { (exit 1); exit 1; }
938  sed "/^[       ]*VPATH[        ]*=/{
939s/:*\$(srcdir):*/:/;
940s/:*\${srcdir}:*/:/;
941s/:*@srcdir@:*/:/;
942s/^\([^=]*=[     ]*\):*/\1/;
943s/:*$//;
944s/^[^=]*=[       ]*$//;
945}
946
947:t
948/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
949s,@configure_input@,$configure_input,;t t
950s,@srcdir@,$ac_srcdir,;t t
951s,@abs_srcdir@,$ac_abs_srcdir,;t t
952s,@top_srcdir@,$ac_top_srcdir,;t t
953s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
954s,@builddir@,$ac_builddir,;t t
955s,@abs_builddir@,$ac_abs_builddir,;t t
956s,@top_builddir@,$ac_top_builddir,;t t
957s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
958s,@INSTALL@,$ac_INSTALL,;t t
959" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
960  rm -f $tmp/stdin
961  if test x"$ac_file" != x-; then
962    mv $tmp/out $ac_file
963  else
964    cat $tmp/out
965    rm -f $tmp/out
966  fi
967
968  # Run the commands associated with the file.
969  case $ac_file in
970    scripts/python.sh ) ${CHMOD} a+x scripts/python.sh ;;
971    scripts/pyantlr.sh ) ${CHMOD} a+x scripts/pyantlr.sh ;;
972    scripts/csc.sh ) ${CHMOD} a+x scripts/csc.sh ;;
973    scripts/java.sh ) ${CHMOD} a+x scripts/java.sh ;;
974    scripts/jar.sh ) ${CHMOD} a+x scripts/jar.sh ;;
975    scripts/javac.sh ) ${CHMOD} a+x scripts/javac.sh ;;
976    scripts/antlr.sh ) ${CHMOD} a+x scripts/antlr.sh ;;
977    scripts/cxx.sh ) ${CHMOD} a+x scripts/cxx.sh ;;
978    scripts/link.sh ) ${CHMOD} a+x scripts/link.sh ;;
979    scripts/c.sh ) ${CHMOD} a+x scripts/c.sh ;;
980    scripts/lib.sh ) ${CHMOD} a+x scripts/lib.sh ;;
981    scripts/cpp.sh ) ${CHMOD} a+x scripts/cpp.sh ;;
982    ${ANTLR_CONFIG_FILES} )
983          ### echo "config.status: chmod a+w ${ac_file} .."
984          ${CHMOD} a+w "${ac_file}"  ;;
985  esac
986done
987
988#
989# CONFIG_COMMANDS section.
990#
991for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
992  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
993  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
994  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
995$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
996         X"$ac_dest" : 'X\(//\)[^/]' \| \
997         X"$ac_dest" : 'X\(//\)$' \| \
998         X"$ac_dest" : 'X\(/\)' \| \
999         .     : '\(.\)' 2>/dev/null ||
1000echo X"$ac_dest" |
1001    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1002          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1003          /^X\(\/\/\)$/{ s//\1/; q; }
1004          /^X\(\/\).*/{ s//\1/; q; }
1005          s/.*/./; q'`
1006  { if $as_mkdir_p; then
1007    mkdir -p "$ac_dir"
1008  else
1009    as_dir="$ac_dir"
1010    as_dirs=
1011    while test ! -d "$as_dir"; do
1012      as_dirs="$as_dir $as_dirs"
1013      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1014$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1015         X"$as_dir" : 'X\(//\)[^/]' \| \
1016         X"$as_dir" : 'X\(//\)$' \| \
1017         X"$as_dir" : 'X\(/\)' \| \
1018         .     : '\(.\)' 2>/dev/null ||
1019echo X"$as_dir" |
1020    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1021          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1022          /^X\(\/\/\)$/{ s//\1/; q; }
1023          /^X\(\/\).*/{ s//\1/; q; }
1024          s/.*/./; q'`
1025    done
1026    test ! -n "$as_dirs" || mkdir $as_dirs
1027  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1028echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1029   { (exit 1); exit 1; }; }; }
1030
1031  ac_builddir=.
1032
1033if test "$ac_dir" != .; then
1034  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1035  # A "../" for each directory in $ac_dir_suffix.
1036  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1037else
1038  ac_dir_suffix= ac_top_builddir=
1039fi
1040
1041case $srcdir in
1042  .)  # No --srcdir option.  We are building in place.
1043    ac_srcdir=.
1044    if test -z "$ac_top_builddir"; then
1045       ac_top_srcdir=.
1046    else
1047       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1048    fi ;;
1049  [\\/]* | ?:[\\/]* )  # Absolute path.
1050    ac_srcdir=$srcdir$ac_dir_suffix;
1051    ac_top_srcdir=$srcdir ;;
1052  *) # Relative path.
1053    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1054    ac_top_srcdir=$ac_top_builddir$srcdir ;;
1055esac
1056
1057# Do not use `cd foo && pwd` to compute absolute paths, because
1058# the directories may not exist.
1059case `pwd` in
1060.) ac_abs_builddir="$ac_dir";;
1061*)
1062  case "$ac_dir" in
1063  .) ac_abs_builddir=`pwd`;;
1064  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1065  *) ac_abs_builddir=`pwd`/"$ac_dir";;
1066  esac;;
1067esac
1068case $ac_abs_builddir in
1069.) ac_abs_top_builddir=${ac_top_builddir}.;;
1070*)
1071  case ${ac_top_builddir}. in
1072  .) ac_abs_top_builddir=$ac_abs_builddir;;
1073  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1074  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1075  esac;;
1076esac
1077case $ac_abs_builddir in
1078.) ac_abs_srcdir=$ac_srcdir;;
1079*)
1080  case $ac_srcdir in
1081  .) ac_abs_srcdir=$ac_abs_builddir;;
1082  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1083  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1084  esac;;
1085esac
1086case $ac_abs_builddir in
1087.) ac_abs_top_srcdir=$ac_top_srcdir;;
1088*)
1089  case $ac_top_srcdir in
1090  .) ac_abs_top_srcdir=$ac_abs_builddir;;
1091  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1092  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1093  esac;;
1094esac
1095
1096
1097  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1098echo "$as_me: executing $ac_dest commands" >&6;}
1099  case $ac_dest in
1100    notice )
1101        { echo "$as_me:$LINENO:
1102 ---------------------------------------------------------
1103                   * WARNING *
1104
1105  This package has been configured to be build by using
1106
1107   $MAKE
1108
1109  It is very likely that just running \"make\" from  the
1110  command line will fail. Please remember therefore to
1111  use the configured version.
1112 =========================================================
1113          " >&5
1114echo "$as_me:
1115 ---------------------------------------------------------
1116                   * WARNING *
1117
1118  This package has been configured to be build by using
1119
1120   $MAKE
1121
1122  It is very likely that just running \"make\" from  the
1123  command line will fail. Please remember therefore to
1124  use the configured version.
1125 =========================================================
1126          " >&6;}
1127         ;;
1128  esac
1129done
1130
1131{ (exit 0); exit 0; }
Note: See TracBrowser for help on using the repository browser.